Bug 1625700 - On screen keyboard not visible to access with gtk apps [NEEDINFO]
Summary: On screen keyboard not visible to access with gtk apps
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Carlos Garnacho
QA Contact: Desktop QE
Marie Dolezelova
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1632904 1567021
TreeView+ depends on / blocked
 
Reported: 2018-09-05 15:16 UTC by Krishna Babu K
Modified: 2018-10-30 10:28 UTC (History)
12 users (show)

(edit)
The `on screen keyboard` feature not visible in GTK applications 

After enabling the `on screen keyboard` feature by using the `Settings - Universal Access - Typing - Screen keyboard` menu, `on screen keyboard` is not visible to access with GIMP Toolkit (GTK) applications, such as `gedit`.

To work around this problem, add the below line into the `/etc/environment` configuration file, and restart GNOME:

    GTK_IM_MODULE=ibus
Clone Of:
: 1626105 1632904 (view as bug list)
(edit)
Last Closed: 2018-10-30 10:27:34 UTC
jkoten: needinfo? (mdolezel)


Attachments (Terms of Use)
On screen keyboard visible with launch applicatin window (667.43 KB, image/png)
2018-09-05 15:16 UTC, Krishna Babu K
no flags Details
On screen keyboard visible with gnome application search (728.09 KB, image/png)
2018-09-05 15:18 UTC, Krishna Babu K
no flags Details
reference screen shot with gnome-terminal (718.96 KB, image/png)
2018-09-07 05:35 UTC, Krishna Babu K
no flags Details
reference screen shot with gedit (449.27 KB, image/png)
2018-09-07 05:36 UTC, Krishna Babu K
no flags Details
gnome-terminal window without OSK (420.70 KB, image/png)
2018-09-18 14:39 UTC, Parag Nemade
no flags Details
gnome-terminal window with OSK (350.49 KB, image/png)
2018-09-18 14:40 UTC, Parag Nemade
no flags Details
OSK X11 session using -6 build (143.55 KB, image/png)
2018-09-25 14:18 UTC, Parag Nemade
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 None None None 2018-10-30 10:28 UTC
Red Hat Bugzilla 1521077 None CLOSED Input of '?', 'ä', 'ö', 'ü', etc with Gnome OSK 2019-07-19 09:24 UTC

Internal Trackers: 1521077

Description Krishna Babu K 2018-09-05 15:16:52 UTC
Created attachment 1481113 [details]
On screen keyboard visible with launch applicatin window

Description of problem:
 After enabling 'Universal Access - Typing - Screen keyboard', not able to access it with gedit, evolution, ... (The on screen keyboard is not visible)

 After opening gedit from terminal, getting following error:

   (gedit:17999): CARIBOU-CRITICAL **: 20:17:16.705: file caribou-gtk-module.c: line 971: unexpected error: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.Caribou.Keyboard was not provided by any .service files (g-dbus-error-quark, 2)

Version-Release number of selected component (if applicable):

caribou-gtk2-module-0.4.21-1.el7.x86_64
python2-caribou-0.4.21-1.el7.noarch
caribou-gtk3-module-0.4.21-1.el7.x86_64
caribou-0.4.21-1.el7.x86_64

gedit-3.28.1-1.el7.x86_64

[test@localhost ~]$ loginctl show-session c1 | grep Type
Type=x11

Red Hat Enterprise Linux Client release 7.6 Beta (Maipo)

How reproducible:

Always

Steps to Reproduce:
1. Enable on screen keyboard via 'Settings - Universal Access - Typing - Screen keyboard'
2. Open gedit
3. On screen keyboard not visible to access. Error can be seen if gedit open from terminal.

Actual results:
On screen keyboard not visible to access

Expected results:
On screen keyboard should be visible to access

Additional info:
 On screen keyboard is visible with Alt+F2 launch application window, gnome desktop search box with meta key press.
 screen shot references attached.

Comment 2 Krishna Babu K 2018-09-05 15:18 UTC
Created attachment 1481114 [details]
On screen keyboard visible with gnome application search

Comment 3 Parag Nemade 2018-09-06 05:32:47 UTC
Unfortunately Caribou package has not been obsoleted by gnome-shell package. If you are testing on RHEL-7.6 then the OSk is coming from gnome-shell package now since gnome-shell-3.28.x releases.

I have a bug 1624229 reported to remove caribou package from RHEL-7.6 release.

Comment 4 Michael Boisvert 2018-09-06 16:17:13 UTC
It's likely you're not using Caribou. If you are enabling the screen keyboard through the typical means (accessibility menu), then you are enabling the Gnome OSK. 

Simple test: # yum remove caribou -y

After a reboot, you'll see the Gnome OSK pops up and is what was being used all along. As Parag mentioned, Caribou needs to be removed from RHEL7.6.

Comment 5 Krishna Babu K 2018-09-07 05:35 UTC
Created attachment 1481483 [details]
reference screen shot with gnome-terminal

Hi,
I have tried after removing caribou, but OSK not pops up. 

[test@localhost ~]$ rpm -qa | grep caribou
[test@localhost ~]$ 

Adding reference screen shots as well.

Comment 6 Krishna Babu K 2018-09-07 05:36 UTC
Created attachment 1481485 [details]
reference screen shot with gedit

Comment 7 Michael Boisvert 2018-09-07 14:14:40 UTC
(In reply to Krishna Babu K from comment #5)
> Created attachment 1481483 [details]
> reference screen shot with gnome-terminal
> 
> Hi,
> I have tried after removing caribou, but OSK not pops up. 
> 
> [test@localhost ~]$ rpm -qa | grep caribou
> [test@localhost ~]$ 
> 
> Adding reference screen shots as well.

My point is that the component we're concerned with is Gnome OSK, not Caribou. Gnome OSK has the problem that you outlined in this bug. 

Can you perform ALT+F2 with the Onscreen Keyboard switched on? You should see the Gnome OSK when trying to type in the command box. Trying to make sure we're on the same page.

Comment 8 Krishna Babu K 2018-09-07 14:48:22 UTC
Yes, we are on the same page, I have already added screen shots regarding Alt+F2 launch application window, gnome desktop search box at the time of bug report.

Comment 9 Carlos Garnacho 2018-09-10 14:26:48 UTC
I did a scratch build at https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18241183 with a tentative fix.

Comment 10 Michael Boisvert 2018-09-11 11:48:01 UTC
(In reply to Carlos Garnacho from comment #9)
> I did a scratch build at
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18241183 with a
> tentative fix.

Tested on a VM and it doesn't seem to fix the issue of the gnome OSK not popping up. It does obsolete caribou however.

Comment 11 Carlos Garnacho 2018-09-17 22:03:33 UTC
Michael, could you please confirm the scratch build at https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18369213 fixes it?

Comment 13 Michael Boisvert 2018-09-18 13:00:07 UTC
(In reply to Carlos Garnacho from comment #11)
> Michael, could you please confirm the scratch build at
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18369213 fixes
> it?

While the keyboard does pop up, I have a few problems with it. It seems to just pop up when an app is opened, not when focus is placed on a text input area. I also noticed that the OSK doesn't go away when you close an app. It only disappears when some other app or menu is opened. The OSK disappears because it's "in the way."

Comment 14 Parag Nemade 2018-09-18 14:37:44 UTC
Here is my testing observations,
I generally test against few gnome applications only.

1) For me wherever OSK popped up and I moved away or closed the application it got popped out automatically.

2) gnome-terminal, gedit, gnome-shell screen lock password entry are successfully tested almost every time I will say.

But gnome-software, nautilus search entry box failed to pop up OSK. Neither with auto-focus or with explicitly mouse pointed inside entry box. But then if I navigate away from that entry box and again focus inside that entry box OSK got pop up. This behaviour is tested multiple times and same result. OSK did not come first time but from second time it pops up.

BTW, I found this one behavior when gnome-terminal is in some minimal size window and OSK gets triggered the gnome-terminal window moves up which I think not a good. Attaching both screenshots, one wihout OSK and another when OSK started.

Comment 15 Parag Nemade 2018-09-18 14:39 UTC
Created attachment 1484400 [details]
gnome-terminal window without OSK

Comment 16 Parag Nemade 2018-09-18 14:40 UTC
Created attachment 1484401 [details]
gnome-terminal window with OSK

Comment 17 Carlos Garnacho 2018-09-19 14:37:26 UTC
(In reply to Michael Boisvert from comment #13)
> (In reply to Carlos Garnacho from comment #11)
> > Michael, could you please confirm the scratch build at
> > https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18369213 fixes
> > it?
> 
> While the keyboard does pop up, I have a few problems with it. It seems to
> just pop up when an app is opened, not when focus is placed on a text input
> area. I also noticed that the OSK doesn't go away when you close an app. It
> only disappears when some other app or menu is opened. The OSK disappears
> because it's "in the way."

Right, I ended up with a more comprehensive approach that does better focus state tracking, fixing those issues.

(In reply to Parag Nemade from comment #14)
> Here is my testing observations,
> I generally test against few gnome applications only.
> 
> 1) For me wherever OSK popped up and I moved away or closed the application
> it got popped out automatically.
> 
> 2) gnome-terminal, gedit, gnome-shell screen lock password entry are
> successfully tested almost every time I will say.
> 
> But gnome-software, nautilus search entry box failed to pop up OSK. Neither
> with auto-focus or with explicitly mouse pointed inside entry box. But then
> if I navigate away from that entry box and again focus inside that entry box
> OSK got pop up. This behaviour is tested multiple times and same result. OSK
> did not come first time but from second time it pops up.

Right, can see this too when popping up search entries. It seems more something in the client side though, tracing it in the gnome-shell side reveals we don't get any notification.

> 
> BTW, I found this one behavior when gnome-terminal is in some minimal size
> window and OSK gets triggered the gnome-terminal window moves up which I
> think not a good. Attaching both screenshots, one wihout OSK and another
> when OSK started.

This is new behavior in gnome-shell 3.28, the window will slide upwards whenever the input focus would be covered by the OSK, and downwards again when the OSK is hidden, or focus moves out of the OSK area.

If it is not desirable in RHEL/X11, I think should be addressed in a different bug.

Comment 32 Parag Nemade 2018-09-25 14:18 UTC
Created attachment 1486775 [details]
OSK X11 session using -6 build

Comment 56 errata-xmlrpc 2018-10-30 10:27:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.